package com.syaroful.agrilinkvocpro.growth_recipe_feature.core.component

import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.size
import androidx.compose.material3.HorizontalDivider
import androidx.compose.material3.ListItem
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.alpha
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import com.syaroful.agrilinkvocpro.R

@Composable
fun ListItemClustering(
    humidity: Double,
    temp: Double,
    pH: Double,
) {
    ListItem(
        leadingContent = {
            Image(
                modifier = Modifier.size(24.dp),
                painter = painterResource(id = R.drawable.humidity),
                contentDescription = "plant"
            )
        },
        headlineContent = {
            Text("Kelembabab $humidity")
        },
    )
    HorizontalDivider(modifier = Modifier.alpha(0.3f))
    ListItem(
        leadingContent = {
            Image(
                modifier = Modifier.size(24.dp),
                painter = painterResource(id = R.drawable.meters),
                contentDescription = "plant"
            )
        },
        headlineContent = {
            Text("PH $pH")
        },
    )
    HorizontalDivider(modifier = Modifier.alpha(0.3f))
    ListItem(
        leadingContent = {
            Image(
                modifier = Modifier.size(24.dp),
                painter = painterResource(id = R.drawable.soil_temperature),
                contentDescription = "plant"
            )
        },
        headlineContent = {
            Text("Suhu $temp")
        },
    )
}